import { formatDate } from '../../bs-moment/format';
import { getLocale } from '../../bs-moment/locale/locales.service';
export function formatDaysCalendar(daysCalendar, formatOptions, monthIndex) {
    var weekDayArray = getLocale(formatOptions.locale).weekdaysShort();
    return {
        month: daysCalendar.month,
        monthTitle: formatDate(daysCalendar.month, formatOptions.monthTitle, formatOptions.locale),
        yearTitle: formatDate(daysCalendar.month, formatOptions.yearTitle, formatOptions.locale),
        weekNumbers: getWeekNumbers(daysCalendar.daysMatrix, formatOptions.weekNumbers, formatOptions.locale),
        weekdays: calculateWeekdays(weekDayArray, formatOptions.startingDay),
        weeks: daysCalendar.daysMatrix.map(function (week, weekIndex) { return ({
            days: week.map(function (date, dayIndex) { return ({
                date: date,
                label: formatDate(date, formatOptions.dayLabel, formatOptions.locale),
                monthIndex: monthIndex,
                weekIndex: weekIndex,
                dayIndex: dayIndex
            }); })
        }); })
    };
}
/* Function for weekday Header Strings */
export function calculateWeekdays(localeWeekdays, startingDayOffset) {
    var newWeekDayArr = [];
    for (var i = 0; i < localeWeekdays.length; i++) {
        var newPos = i - startingDayOffset;
        if (newPos < 0) {
            newPos = newPos + 7;
        }
        newWeekDayArr[newPos] = localeWeekdays[i];
    }
    if (newWeekDayArr && newWeekDayArr.length === 7) {
        return newWeekDayArr;
    }
    return [];
}
export function getWeekNumbers(daysMatrix, format, locale) {
    return daysMatrix.map(function (days) { return (days[0] ? formatDate(days[0], format, locale) : ''); });
}
//# sourceMappingURL=format-days-calendar.js.map